blackbox

## Class BlackBox

- java.lang.Object
- - blackbox.BlackBox

All Implemented Interfaces:
  java.io.Serializable

    public class BlackBox
    extends java.lang.Object
    implements java.io.Serializable

The Class BlackBox.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BlackBox()` Instantiates a new black box.
`BlackBox(Scheduler scheduler, java.io.File systemFile)` Instantiates a new black box.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `buildBlackBoxFromFile(java.io.File systemFile)` Builds the black box from file.
`java.util.ArrayList<BlackBoxAgent>` `getBBAofClasses(java.lang.Class<?>[] classes)` Gets the BB aof classes.
`java.util.HashMap<java.lang.String,BlackBoxAgent>` `getBlackBoxAgents()` Gets the black box agents.
`int` `getnProbes()` Gets the n probes.
`Scheduler` `getScheduler()` Gets the scheduler.
`void` `registerBlackBoxAgent(BlackBoxAgent a)` Register a new agent in the black box and in the scheduler.
`void` `setBlackBoxAgents(java.util.HashMap<java.lang.String,BlackBoxAgent> blackBoxAgents)` Sets the black box agents.
`void` `setnProbes(int nProbes)` Sets the n probes.
`void` `setScheduler(Scheduler scheduler)` Sets the scheduler.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BlackBox

    public BlackBox(Scheduler scheduler,
                    java.io.File systemFile)

Instantiates a new black box.

Parameters:
  `scheduler` - the scheduler
  `systemFile` - the system file

#### BlackBox

    public BlackBox()

Instantiates a new black box.

### Method Detail

#### buildBlackBoxFromFile

    public void buildBlackBoxFromFile(java.io.File systemFile)

Builds the black box from file.

Parameters:
  `systemFile` - the system file

#### registerBlackBoxAgent

    public void registerBlackBoxAgent(BlackBoxAgent a)

Register a new agent in the black box and in the scheduler.

Parameters:
  `a` - the a

#### getScheduler

    public Scheduler getScheduler()

Gets the scheduler.

Returns:
  the scheduler

#### setScheduler

    public void setScheduler(Scheduler scheduler)

Sets the scheduler.

Parameters:
  `scheduler` - the new scheduler

#### getBlackBoxAgents

    public java.util.HashMap<java.lang.String,BlackBoxAgent> getBlackBoxAgents()

Gets the black box agents.

Returns:
  the black box agents

#### getBBAofClasses

    public java.util.ArrayList<BlackBoxAgent> getBBAofClasses(java.lang.Class<?>[] classes)

Gets the BB aof classes.

Parameters:
  `classes` - the classes
Returns:
  the BB aof classes

#### setBlackBoxAgents

    public void setBlackBoxAgents(java.util.HashMap<java.lang.String,BlackBoxAgent> blackBoxAgents)

Sets the black box agents.

Parameters:
  `blackBoxAgents` - the black box agents

#### getnProbes

    public int getnProbes()

Gets the n probes.

Returns:
  the n probes

#### setnProbes

    public void setnProbes(int nProbes)

Sets the n probes.

Parameters:
  `nProbes` - the new n probes